import { Descriptions } from "antd";
import React from "react";
import { DirectorIO } from "./Preview";


// TODO replace this with API call by director id
const exampleDirector: DirectorIO = {
  name: "Karel",
  surname: "Vomacka",
  birthdate: "17.5.1979",
  id: "156",
};

export const DirectorPage = () => {
  return (
    <Descriptions title="Director page" bordered style={
        {padding: "4%", width:"50%"}
    }>
      <Descriptions.Item label="Name" span={3}>{exampleDirector.name}</Descriptions.Item>
      <Descriptions.Item label="Surname" span={3}>
        {exampleDirector.surname}
      </Descriptions.Item>
      <Descriptions.Item label="Birthdate">
        {exampleDirector.birthdate}
      </Descriptions.Item>
    </Descriptions>
  );
};
